import type { ButtonVariant, Size } from '../../types';
declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        required: false;
    };
    text: {
        type: StringConstructor;
        required: false;
    };
    size: {
        type: null;
        required: false;
    };
    offset: {
        type: StringConstructor;
        required: false;
    };
    autoClose: {
        type: (StringConstructor | BooleanConstructor)[];
        required: false;
        default: boolean;
    };
    dark: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    dropleft: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    dropright: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    dropup: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    right: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    left: {
        type: (StringConstructor | BooleanConstructor)[];
        required: false;
        default: boolean;
    };
    offsetParent: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    split: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    splitVariant: {
        type: null;
        required: false;
    };
    noCaret: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    variant: {
        type: null;
        required: false;
        default: string;
    };
}, {
    BDropdown: import("vue").DefineComponent<{
        id: {
            type: StringConstructor;
            required: false;
        };
        menuClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        size: {
            type: null;
            required: false;
        };
        splitClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        splitVariant: {
            type: null;
            required: false;
        };
        text: {
            type: StringConstructor;
            required: false;
        };
        toggleClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        autoClose: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        block: {
            type: null;
            required: false;
            default: boolean;
        };
        boundary: {
            type: null;
            required: false;
            default: string;
        };
        dark: {
            type: null;
            required: false;
            default: boolean;
        };
        disabled: {
            type: null;
            required: false;
            default: boolean;
        };
        dropUp: {
            type: null;
            required: false;
            default: boolean;
        };
        dropRight: {
            type: null;
            required: false;
            default: boolean;
        };
        dropLeft: {
            type: null;
            required: false;
            default: boolean;
        };
        noFlip: {
            type: null;
            required: false;
            default: boolean;
        };
        offset: {
            type: (StringConstructor | NumberConstructor)[];
            required: false;
            default: number;
        };
        popperOpts: {
            type: ObjectConstructor;
            required: false;
            default: () => {};
        };
        right: {
            type: null;
            required: false;
            default: boolean;
        };
        role: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        split: {
            type: null;
            required: false;
            default: boolean;
        };
        splitButtonType: {
            type: null;
            required: false;
            default: string;
        };
        splitHref: {
            type: StringConstructor;
            required: false;
            default: undefined;
        };
        noCaret: {
            type: null;
            required: false;
            default: boolean;
        };
        toggleText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
            default: string;
        };
    }, {
        props: {
            id?: string | undefined;
            menuClass?: string | unknown[] | Record<string, unknown> | undefined;
            size?: Size;
            splitClass?: string | unknown[] | Record<string, unknown> | undefined;
            splitVariant?: ButtonVariant | undefined;
            text?: string | undefined;
            toggleClass?: string | unknown[] | Record<string, unknown> | undefined;
            autoClose: boolean | "inside" | "outside";
            block: import("../../types/Booleanish").default;
            boundary: import("@popperjs/core").Boundary;
            dark: import("../../types/Booleanish").default;
            disabled: import("../../types/Booleanish").default;
            dropUp: import("../../types/Booleanish").default;
            dropRight: import("../../types/Booleanish").default;
            dropLeft: import("../../types/Booleanish").default;
            noFlip: import("../../types/Booleanish").default;
            offset: string | number;
            popperOpts: Record<string, unknown>;
            right: import("../../types/Booleanish").default;
            role: string;
            split: import("../../types/Booleanish").default;
            splitButtonType: import("../../types/ButtonType").default;
            splitHref: string;
            noCaret: import("../../types/Booleanish").default;
            toggleText: string;
            variant: ButtonVariant;
        };
        blockBoolean: import("vue").ComputedRef<boolean>;
        darkBoolean: import("vue").ComputedRef<boolean>;
        disabledBoolean: import("vue").ComputedRef<boolean>;
        dropUpBoolean: import("vue").ComputedRef<boolean>;
        dropRightBoolean: import("vue").ComputedRef<boolean>;
        dropLeftBoolean: import("vue").ComputedRef<boolean>;
        rightBoolean: import("vue").ComputedRef<boolean>;
        splitBoolean: import("vue").ComputedRef<boolean>;
        noCaretBoolean: import("vue").ComputedRef<boolean>;
        emit: {
            (e: "show"): void;
            (e: "shown"): void;
            (e: "hide"): void;
            (e: "hidden"): void;
            (e: "click", event: Event): void;
            (e: "toggle"): void;
        };
        parent: import("vue").Ref<HTMLElement | undefined>;
        dropdown: import("vue").Ref<import("vue").ComponentPublicInstance<HTMLElement, {}, {}, {}, {}, {}, HTMLElement, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | undefined>;
        instance: import("vue").Ref<import("bootstrap/js/dist/dropdown").default | undefined>;
        computedId: import("vue").ComputedRef<string>;
        onSplitClick: (event: Event) => void;
        classes: import("vue").ComputedRef<{
            'd-grid': boolean;
            'd-flex': boolean;
        }>;
        buttonClasses: import("vue").ComputedRef<{
            'dropdown-toggle': boolean;
            'dropdown-toggle-no-caret': boolean;
            'w-100': boolean;
        }>;
        dropdownMenuClasses: import("vue").ComputedRef<{
            'dropdown-menu-dark': boolean;
            'dropdown-menu-right': boolean;
        }>;
        buttonAttr: import("vue").ComputedRef<{
            'data-bs-toggle': string | undefined;
            'aria-expanded': boolean | undefined;
            ref: import("vue").Ref<import("vue").ComponentPublicInstance<HTMLElement, {}, {}, {}, {}, {}, HTMLElement, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | undefined> | undefined;
            href: string | undefined;
        }>;
        splitAttr: import("vue").ComputedRef<{
            ref: import("vue").Ref<import("vue").ComponentPublicInstance<HTMLElement, {}, {}, {}, {}, {}, HTMLElement, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | undefined> | undefined;
        }>;
        hide: () => void;
        BButton: import("vue").DefineComponent<{
            active: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            disabled: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            href: {
                type: StringConstructor;
                required: false;
            };
            pill: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            pressed: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: null;
            };
            rel: {
                type: StringConstructor;
                default: null;
            };
            size: {
                type: import("vue").PropType<import("../../types/InputSize").default>;
            };
            squared: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            tag: {
                type: StringConstructor;
                default: string;
            };
            target: {
                type: import("vue").PropType<import("../../types/LinkTarget").default>;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            variant: {
                type: import("vue").PropType<ButtonVariant>;
                default: string;
            };
            activeClass: {
                type: StringConstructor;
                default: string;
            };
            append: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            event: {
                type: (StringConstructor | ArrayConstructor)[];
                default: string;
            };
            exact: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: string;
            };
            replace: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            routerComponentName: {
                type: StringConstructor;
                default: string;
            };
            routerTag: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: import("vue").PropType<import("vue-router").RouteLocationRaw>;
                default: null;
            };
        }, {
            classes: import("vue").ComputedRef<{
                [x: string]: boolean | import("../../types/InputSize").default | ButtonVariant | undefined;
                active: boolean;
                'rounded-pill': boolean;
                'rounded-0': boolean;
                disabled: boolean;
            }>;
            attrs: import("vue").ComputedRef<{
                'aria-disabled': string | null;
                'aria-pressed': string | null;
                autocomplete: string | null;
                disabled: boolean | null;
                href: string | undefined;
                rel: string | null;
                role: string | null;
                target: import("../../types/LinkTarget").default | null;
                type: string | null;
                to: import("vue-router").RouteLocationRaw | null;
                append: import("../../types/Booleanish").default | null;
                activeClass: string | null;
                event: string | unknown[] | null;
                exact: import("../../types/Booleanish").default | null;
                exactActiveClass: string | null;
                replace: import("../../types/Booleanish").default | null;
                routerComponentName: string | null;
                routerTag: string | null;
            }>;
            computedTag: import("vue").ComputedRef<string>;
            clicked: (e: MouseEvent) => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("click" | "update:pressed")[], "click" | "update:pressed", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            active: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            disabled: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            href: {
                type: StringConstructor;
                required: false;
            };
            pill: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            pressed: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: null;
            };
            rel: {
                type: StringConstructor;
                default: null;
            };
            size: {
                type: import("vue").PropType<import("../../types/InputSize").default>;
            };
            squared: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            tag: {
                type: StringConstructor;
                default: string;
            };
            target: {
                type: import("vue").PropType<import("../../types/LinkTarget").default>;
                default: string;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            variant: {
                type: import("vue").PropType<ButtonVariant>;
                default: string;
            };
            activeClass: {
                type: StringConstructor;
                default: string;
            };
            append: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            event: {
                type: (StringConstructor | ArrayConstructor)[];
                default: string;
            };
            exact: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            exactActiveClass: {
                type: StringConstructor;
                default: string;
            };
            replace: {
                type: import("vue").PropType<import("../../types/Booleanish").default>;
                default: boolean;
            };
            routerComponentName: {
                type: StringConstructor;
                default: string;
            };
            routerTag: {
                type: StringConstructor;
                default: string;
            };
            to: {
                type: import("vue").PropType<import("vue-router").RouteLocationRaw>;
                default: null;
            };
        }>> & {
            onClick?: ((...args: any[]) => any) | undefined;
            "onUpdate:pressed"?: ((...args: any[]) => any) | undefined;
        }, {
            replace: import("../../types/Booleanish").default;
            type: string;
            tag: string;
            variant: ButtonVariant;
            disabled: import("../../types/Booleanish").default;
            exact: import("../../types/Booleanish").default;
            active: import("../../types/Booleanish").default;
            pill: import("../../types/Booleanish").default;
            to: import("vue-router").RouteLocationRaw;
            event: string | unknown[];
            routerTag: string;
            pressed: import("../../types/Booleanish").default;
            rel: string;
            squared: import("../../types/Booleanish").default;
            target: import("../../types/LinkTarget").default;
            activeClass: string;
            append: import("../../types/Booleanish").default;
            exactActiveClass: string;
            routerComponentName: string;
        }>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("show" | "shown" | "hide" | "hidden" | "click" | "toggle")[], "show" | "shown" | "hide" | "hidden" | "toggle" | "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        id: {
            type: StringConstructor;
            required: false;
        };
        menuClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        size: {
            type: null;
            required: false;
        };
        splitClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        splitVariant: {
            type: null;
            required: false;
        };
        text: {
            type: StringConstructor;
            required: false;
        };
        toggleClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        autoClose: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        block: {
            type: null;
            required: false;
            default: boolean;
        };
        boundary: {
            type: null;
            required: false;
            default: string;
        };
        dark: {
            type: null;
            required: false;
            default: boolean;
        };
        disabled: {
            type: null;
            required: false;
            default: boolean;
        };
        dropUp: {
            type: null;
            required: false;
            default: boolean;
        };
        dropRight: {
            type: null;
            required: false;
            default: boolean;
        };
        dropLeft: {
            type: null;
            required: false;
            default: boolean;
        };
        noFlip: {
            type: null;
            required: false;
            default: boolean;
        };
        offset: {
            type: (StringConstructor | NumberConstructor)[];
            required: false;
            default: number;
        };
        popperOpts: {
            type: ObjectConstructor;
            required: false;
            default: () => {};
        };
        right: {
            type: null;
            required: false;
            default: boolean;
        };
        role: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        split: {
            type: null;
            required: false;
            default: boolean;
        };
        splitButtonType: {
            type: null;
            required: false;
            default: string;
        };
        splitHref: {
            type: StringConstructor;
            required: false;
            default: undefined;
        };
        noCaret: {
            type: null;
            required: false;
            default: boolean;
        };
        toggleText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
            default: string;
        };
    }>> & {
        onShow?: ((...args: any[]) => any) | undefined;
        onShown?: ((...args: any[]) => any) | undefined;
        onHide?: ((...args: any[]) => any) | undefined;
        onHidden?: ((...args: any[]) => any) | undefined;
        onClick?: ((...args: any[]) => any) | undefined;
        onToggle?: ((...args: any[]) => any) | undefined;
    }, {
        split: any;
        variant: any;
        dark: any;
        disabled: any;
        right: any;
        block: any;
        offset: string | number;
        autoClose: string | boolean;
        boundary: any;
        dropUp: any;
        dropRight: any;
        dropLeft: any;
        noFlip: any;
        popperOpts: Record<string, any>;
        role: string;
        splitButtonType: any;
        splitHref: string;
        noCaret: any;
        toggleText: string;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: false;
    };
    text: {
        type: StringConstructor;
        required: false;
    };
    size: {
        type: null;
        required: false;
    };
    offset: {
        type: StringConstructor;
        required: false;
    };
    autoClose: {
        type: (StringConstructor | BooleanConstructor)[];
        required: false;
        default: boolean;
    };
    dark: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    dropleft: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    dropright: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    dropup: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    right: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    left: {
        type: (StringConstructor | BooleanConstructor)[];
        required: false;
        default: boolean;
    };
    offsetParent: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    split: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    splitVariant: {
        type: null;
        required: false;
    };
    noCaret: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    variant: {
        type: null;
        required: false;
        default: string;
    };
}>>, {
    split: boolean;
    variant: any;
    dark: boolean;
    left: string | boolean;
    right: boolean;
    autoClose: string | boolean;
    noCaret: boolean;
    dropleft: boolean;
    dropright: boolean;
    dropup: boolean;
    offsetParent: boolean;
}>;
export default _sfc_main;
