import type { Booleanish, SkeletonAnimation } from '../../types';
declare const _sfc_main: import("vue").DefineComponent<{
    animation: {
        type: null;
        required: false;
        default: string;
    };
    columns: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideHeader: {
        type: null;
        required: false;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showFooter: {
        type: null;
        required: false;
        default: boolean;
    };
    tableProps: {
        type: ObjectConstructor;
        required: false;
    };
}, {
    props: {
        animation: SkeletonAnimation;
        columns: number;
        hideHeader: Booleanish;
        rows: number;
        showFooter: Booleanish;
        tableProps?: Record<string, unknown> | undefined;
    };
    hideHeaderBoolean: import("vue").ComputedRef<boolean>;
    showFooterBoolean: import("vue").ComputedRef<boolean>;
    BTableSimple: import("vue").DefineComponent<{
        bordered: {
            type: null;
            required: false;
            default: boolean;
        };
        borderless: {
            type: null;
            required: false;
            default: boolean;
        };
        borderVariant: {
            type: null;
            required: false;
        };
        captionTop: {
            type: null;
            required: false;
            default: boolean;
        };
        dark: {
            type: null;
            required: false;
            default: boolean;
        };
        hover: {
            type: null;
            required: false;
            default: boolean;
        };
        responsive: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        stacked: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        striped: {
            type: null;
            required: false;
            default: boolean;
        };
        small: {
            type: null;
            required: false;
            default: boolean;
        };
        tableClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        tableVariant: {
            type: StringConstructor;
            required: false;
        };
    }, {
        props: {
            bordered: Booleanish;
            borderless: Booleanish;
            borderVariant?: import("../../types/ColorVariant").default | undefined;
            captionTop: Booleanish;
            dark: Booleanish;
            hover: Booleanish;
            responsive: boolean | "sm" | "lg" | "md" | "xl" | "xxl";
            stacked: boolean | "sm" | "lg" | "md" | "xl" | "xxl";
            striped: Booleanish;
            small: Booleanish;
            tableClass?: string | unknown[] | Record<string, unknown> | undefined;
            tableVariant?: string | undefined;
        };
        captionTopBoolean: import("vue").ComputedRef<boolean>;
        borderlessBoolean: import("vue").ComputedRef<boolean>;
        borderedBoolean: import("vue").ComputedRef<boolean>;
        darkBoolean: import("vue").ComputedRef<boolean>;
        hoverBoolean: import("vue").ComputedRef<boolean>;
        smallBoolean: import("vue").ComputedRef<boolean>;
        stripedBoolean: import("vue").ComputedRef<boolean>;
        classes: import("vue").ComputedRef<(string | unknown[] | Record<string, unknown> | undefined)[]>;
        responsiveClasses: import("vue").ComputedRef<{
            [x: string]: boolean;
            'table-responsive': boolean;
        }[]>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        bordered: {
            type: null;
            required: false;
            default: boolean;
        };
        borderless: {
            type: null;
            required: false;
            default: boolean;
        };
        borderVariant: {
            type: null;
            required: false;
        };
        captionTop: {
            type: null;
            required: false;
            default: boolean;
        };
        dark: {
            type: null;
            required: false;
            default: boolean;
        };
        hover: {
            type: null;
            required: false;
            default: boolean;
        };
        responsive: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        stacked: {
            type: (StringConstructor | BooleanConstructor)[];
            required: false;
            default: boolean;
        };
        striped: {
            type: null;
            required: false;
            default: boolean;
        };
        small: {
            type: null;
            required: false;
            default: boolean;
        };
        tableClass: {
            type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
            required: false;
        };
        tableVariant: {
            type: StringConstructor;
            required: false;
        };
    }>>, {
        small: any;
        dark: any;
        stacked: string | boolean;
        hover: any;
        striped: any;
        bordered: any;
        borderless: any;
        captionTop: any;
        responsive: string | boolean;
    }>;
    BSkeleton: import("vue").DefineComponent<{
        height: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        size: {
            type: StringConstructor;
            required: false;
        };
        animation: {
            type: null;
            required: false;
            default: string;
        };
        type: {
            type: null;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
        };
    }, {
        props: {
            height?: string | undefined;
            width?: string | undefined;
            size?: string | undefined;
            animation: SkeletonAnimation;
            type: import("../../types/SkeletonType").default;
            variant?: import("../../types/ColorVariant").default | undefined;
        };
        classes: import("vue").ComputedRef<(string | {
            [x: string]: "fade" | import("../../types/ColorVariant").default | "wave" | "throb" | undefined;
        })[]>;
        style: import("vue").ComputedRef<import("vue").StyleValue>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        height: {
            type: StringConstructor;
            required: false;
        };
        width: {
            type: StringConstructor;
            required: false;
        };
        size: {
            type: StringConstructor;
            required: false;
        };
        animation: {
            type: null;
            required: false;
            default: string;
        };
        type: {
            type: null;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
        };
    }>>, {
        type: any;
        animation: any;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    animation: {
        type: null;
        required: false;
        default: string;
    };
    columns: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideHeader: {
        type: null;
        required: false;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showFooter: {
        type: null;
        required: false;
        default: boolean;
    };
    tableProps: {
        type: ObjectConstructor;
        required: false;
    };
}>>, {
    animation: any;
    columns: number;
    rows: number;
    hideHeader: any;
    showFooter: any;
}>;
export default _sfc_main;
