import { arrayIncludes, concat, from } from './array';
import BvEvent from './bvEvent';
import cssEscape from './cssEscape';
import { HAS_DOCUMENT_SUPPORT, HAS_NAVIGATOR_SUPPORT, HAS_WINDOW_SUPPORT, IS_BROWSER } from './env';
import { attemptBlur, attemptFocus, contains, getActiveElement, getAttr, getBCR, getStyle, isActiveElement, isElement, isEmptySlot, isTag, isVisible, offset, removeAttr, requestAF, select, selectAll, setAttr } from './dom';
import getBreakpointProps from './getBreakpointProps';
import getClasses from './getClasses';
import getID from './getID';
import resolveAriaInvalid from './resolveAriaInvalid';
import { isArray, isBoolean, isFunction, isNull, isNumber, isNumeric, isObject, isPlainObject, isString, isUndefined, isUndefinedOrNull, toType } from './inspect';
import mergeDeep from './mergeDeep';
import normalizeSlot from './normalizeSlot';
import { stringToInteger, toFloat, toInteger, toPercison } from './number';
import { assign, defineProperties, defineProperty, omit, readonlyDescriptor } from './object';
import { pluckProps, suffixPropName } from './props';
import { isBooleanish, resolveBooleanish } from './booleanish';
import isLink from './isLink';
import { startCase, toString, upperFirst } from './stringUtils';
export { arrayIncludes, concat, from, BvEvent, isBooleanish, cssEscape, attemptBlur, startCase, toString, upperFirst, attemptFocus, resolveAriaInvalid, contains, stringToInteger, toFloat, toInteger, pluckProps, isLink, suffixPropName, resolveBooleanish, toPercison, assign, defineProperties, defineProperty, omit, readonlyDescriptor, mergeDeep, normalizeSlot, getActiveElement, getAttr, getBCR, getStyle, isActiveElement, isElement, isEmptySlot, isTag, isVisible, offset, removeAttr, requestAF, select, selectAll, setAttr, HAS_DOCUMENT_SUPPORT, HAS_NAVIGATOR_SUPPORT, HAS_WINDOW_SUPPORT, IS_BROWSER, getBreakpointProps, getClasses, getID, isArray, isBoolean, isFunction, isNull, isNumber, isNumeric, isObject, isPlainObject, isString, isUndefined, isUndefinedOrNull, toType, };
declare const _default: {
    arrayIncludes: (array: any[], value: any) => boolean;
    concat: (...args: any[]) => any[];
    from: (...args: any[]) => any[];
    BvEvent: typeof BvEvent;
    cssEscape: (value: any) => string;
    attemptBlur: (el: HTMLElement) => boolean;
    startCase: (str: string) => string;
    toString: (val: any, spaces?: number) => string;
    upperFirst: (str: any) => string;
    attemptFocus: (el: HTMLElement, options?: {}) => boolean;
    contains: (parent: Node, child: Node) => boolean;
    stringToInteger: (value: string, defaultValue?: number) => number;
    toFloat: (value: string | number, defaultValue?: number) => number;
    toInteger: (value: number, defaultValue?: number) => number;
    pluckProps: (keysToPluck: any, objToPluck: any, transformFn?: (x: any) => any) => any;
    isLink: (props: {
        href?: string | undefined;
        to?: import("vue-router").RouteLocationRaw | undefined;
    }) => boolean;
    suffixPropName: (suffix: string, value: string) => string;
    resolveBooleanish: (input: import("../types/Booleanish").default) => boolean;
    toPercison: (val: number, precision: number) => string;
    assign: (target: any, ...args: any[]) => any;
    defineProperties: (obj: any, props: PropertyDescriptorMap & ThisType<any>) => any;
    defineProperty: (obj: any, prop: string | number | symbol, descriptor: PropertyDescriptor & ThisType<any>) => any;
    omit: (obj: any, props: any) => any;
    readonlyDescriptor: () => {
        enumerable: boolean;
        configurable: boolean;
        writable: boolean;
    };
    mergeDeep: (target: any, source: any, extendArray?: boolean) => any;
    normalizeSlot: (name: string, scope?: {}, $slots?: Readonly<{
        [name: string]: import("vue").Slot | undefined;
    }>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    getActiveElement: (excludes?: never[]) => Element | null;
    isBooleanish: (input: unknown) => input is import("../types/Booleanish").default;
    resolveAriaInvalid: (ariaInvalid?: import("../types/AriaInvalid").default | undefined, state?: boolean | undefined) => boolean | "true" | "false" | "grammar" | "spelling" | undefined;
    getAttr: (el: HTMLElement, attr: string) => string | null;
    getBCR: (el: HTMLElement) => DOMRect | null;
    getStyle: (el: HTMLElement, prop: string) => string | null;
    isActiveElement: (el: HTMLElement) => boolean;
    isElement: (el: HTMLElement) => boolean;
    isEmptySlot: (slot: import("vue").Slot | undefined, data?: any) => boolean;
    isTag: (tag: any, name: any) => boolean;
    isVisible: (el: HTMLElement) => boolean;
    offset: (el: HTMLElement) => {
        top: number;
        left: number;
    };
    removeAttr: (el: HTMLElement, attr: string) => void;
    requestAF: typeof requestAnimationFrame;
    select: (selector: any, root: any) => any;
    selectAll: (selector: any, root: any) => any[];
    setAttr: (el: HTMLElement, attr: string, value: string) => void;
    HAS_DOCUMENT_SUPPORT: boolean;
    HAS_NAVIGATOR_SUPPORT: boolean;
    HAS_WINDOW_SUPPORT: boolean;
    IS_BROWSER: boolean;
    getBreakpointProps: (prefix: string, breakpoints: string[], definition: {
        type: any[];
        default: any;
    }) => import("./getBreakpointProps").ComponentProps;
    getClasses: (props: any, els: import("./getClasses").ComponentProps, propPrefix: string, classPrefix?: string) => string[];
    getID: (suffix?: string) => string;
    isArray: (value: any) => boolean;
    isBoolean: (value: any) => boolean;
    isFunction: (value: any) => boolean;
    isNull: (value: any) => boolean;
    isNumber: (value: any) => boolean;
    isNumeric: (value: any) => boolean;
    isObject: (obj: any) => boolean;
    isPlainObject: (obj: any) => boolean;
    isString: (value: any) => boolean;
    isUndefined: (value: any) => boolean;
    isUndefinedOrNull: (value: any) => boolean;
    toType: (value: any) => "string" | "number" | "bigint" | "boolean" | "symbol" | "undefined" | "object" | "function";
};
export default _default;
